Subject: Re: [PATCH 5/5] ALSA: firewire: use nonatomic PCM operation

From: Takashi Iwai <[email-masked]>
Date: Wed, 04 Sep 2024 18:07:54 +0200

On Wed, 04 Sep 2024 14:51:54 +0200,
Takashi Sakamoto wrote:
> 
> In the former commits, the callback of isochronous context runs on usual
> work process. In the case, ALSA PCM device has a flag, nonatomic, to
> acquire mutex lock instead of spin lock for PCM substream group.
> 
> This commit uses the flag. It has an advantage in the case that ALSA PCM
> application uses the large size of intermediate buffer, since it takes
> too long time even in tasklet softIRQ to process many of isochronous
> packets, then result in the delay of system event due to disabled IRQ so
> long. It is avertible to switch to nonatomic operation.
> 
> Signed-off-by: Takashi Sakamoto <[email-masked]>

Feel free to take my ack:

Reviewed-by: Takashi Iwai <[email-masked]>

thanks,

Takashi